package com.fjhx.victoriatourist.service;

import com.baomidou.mybatisplus.core.toolkit.IdWorker;
import com.fjhx.victoriatourist.entity.abnormal.po.AbnormalInfo;
import com.fjhx.victoriatourist.service.abnormal.AbnormalInfoService;
import com.fjhx.victoriatourist.service.order.OrderInfoService;
import com.fjhx.wms.entity.stock.dto.StockWaitDetailsDto;
import com.fjhx.wms.entity.stock.dto.StockWaitDto;
import com.fjhx.wms.service.WmsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class WmsServiceImpl implements WmsService {
    @Autowired
    private OrderInfoService orderInfoService;
    @Autowired
    private AbnormalInfoService abnormalInfoService;

    /**
     * 销售订单出库
     */
    @Override
    public void outbound(StockWaitDetailsDto stockWaitDetailsDto) {
        orderInfoService.outbound(stockWaitDetailsDto);
    }

    @Override
    public void outbounds(StockWaitDto stockWaitDto) {
        orderInfoService.outbounds(stockWaitDto);
    }

    @Override
    public void addEndInStockAbnormal(Long linkId, String linkCode) {
        AbnormalInfo abnormalInfo = new AbnormalInfo();
        abnormalInfo.setStatus(0);
        abnormalInfo.setId(IdWorker.getId());
        abnormalInfo.setType(50);//结束入库
        abnormalInfo.setLinkId(linkId);
        abnormalInfo.setLinkCode(linkCode);
        abnormalInfo.setTitle("待入库被手动结束");
        abnormalInfoService.save(abnormalInfo);
    }
}
